
Katello - Bug #5802

Hammer doesn't add the list of systems to selected host collection

05/19/2014 09:41 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1097633 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1097633

Description of problem:

Here are list of system:

[root@dhcp201-170 ~]# hammer content-host list --organization ACME_Corporation

-------------------------------------|------------------------------

ID                                   | NAME

-------------------------------------|------------------------------

9405ef11-1cc3-4b76-998e-50942d59df1a | test.katellolabs.org

cbd4ed98-12a2-4d9d-a602-2f7ec8e9407c | shost.katellolabs.org

5be37de7-3da9-4810-9f7e-2e905114a28f | provisionhttp.katellolabs.org

d3dab85f-0b50-4217-bf45-b816f398aa40 | lucky9.katellolabs.org

-------------------------------------|------------------------------

I created a host collection and pass the ID of first system(test.katellolabs.org) to add into the host-collection. Commands was

successful but info command doesn't update the count.

[root@dhcp201-170 ~]# hammer host-collection create --description "test" --max-content-hosts 01 --name testcollection5 

--organization ACME_Corporation --system-ids 9405ef11-1cc3-4b76-998e-50942d59df1a

Host collection created

[root@dhcp201-170 ~]# hammer host-collection info  --organization ACME_Corporation --name testcollection5

ID:                  12

Name:                testcollection5

Limit:               1

Description:         test

Total Content Hosts: 0

Max Content Hosts:   1

This shows:

Total Content Hosts: 0

It should be 1

Version-Release number of selected component (if applicable):

sat6 beta snap4:

Satellite-6.0.3-RHEL-6-20140508.1

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.7-1.el6sat.noarch

foreman-compute-1.6.0.7-1.el6sat.noarch

foreman-gce-1.6.0.7-1.el6sat.noarch

foreman-libvirt-1.6.0.7-1.el6sat.noarch

foreman-ovirt-1.6.0.7-1.el6sat.noarch

foreman-postgresql-1.6.0.7-1.el6sat.noarch

foreman-proxy-1.6.0.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

foreman-vmware-1.6.0.7-1.el6sat.noarch

katello-1.5.0-22.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.37-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-12.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-12.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-5.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-22.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Additional info:

Associated revisions

Revision 0867b36b - 06/02/2014 02:24 PM - dustin tsang

Fixes #5802 - HC update/create using system uuids

Alter Host Collection api update/create actions to accept system uuids.

This is a fix related to hammer-cli-katello commands where some of

the commands take uuids and others take the data base id. This allows

the cli commands to uniformly take uuids.

also added class_name to relation for system in SystemHostCollection

Revision 3eee12c9 - 06/02/2014 02:51 PM - Thomas McKay

Merge pull request #4175 from dustint-rh/host_collections_create_take_uuid

Fixes #5802 - HC update/create using system uuids

Revision fe760e6e - 06/02/2014 04:03 PM - dustin tsang

Fixes #5802 HC update/create using system uuids

Host Collections update/create take uuids instead of ids to follow
other commands in Host Collections. Also updates Host Collections

content-host command to display uuids as ids.

Revision 3d60a40e - 06/02/2014 04:15 PM - dustin tsang

Merge pull request #178 from dustint-rh/host_collection_create_take_sys_uuid

Fixes #5802 HC update/create using system uuids

History

#1 - 05/19/2014 09:41 PM - Brad Buckingham

- Triaged set to Yes

#2 - 05/29/2014 01:34 PM - Eric Helms

- Target version set to 45

#3 - 06/02/2014 02:52 PM - dustin tsang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:0867b36b1e01fe6bdf2470a17038ec6edb2bcbab.

#4 - 08/22/2014 08:25 AM - Eric Helms

- translation missing: en.field_release set to 13
